<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Vue Basics</title>
    <link
      href="https://fonts.googleapis.com/css2?family=Jost:wght@400;700&display=swap"
      rel="stylesheet"
    />
    <link rel="stylesheet" href="styles.css" />
    <script src="https://unpkg.com/vue@next" defer></script>
    <script src="app.js" defer></script>
  </head>
  <body>
    <header>
      <h1>Vue Events</h1>
    </header>
    <section id="events">
      <h2>Events in Action</h2>
      <button v-on:click="onAddCallback(1, $event)" v-on:click.right.prevent="onAddCallback(5, $event)">Add 1 (5)</button>
      <button v-on:click="onReduceCallback(1, $event)" v-on:click.right.prevent="onReduceCallback(5, $event)">Subtract 1 (5)</button>
      <p v-once>Starting Counter: {{ counter }}</p>
      <p>Result: {{ counter }}</p>
      <input type="text" v-on:input="onUserNameInput" />
      <p>Your Name: {{ userName }}</p>
      <form v-on:submit.prevent="onFormSubmit">
        <input type="text" v-on:input="onUserNameSignUpInput" />
        <button>Sign Up</button>
      </form>
    </section>
  </body>
</html>
